Package org.eclipse.birt.report.model.api.scripts

# Class ClassInfo

java.lang.Object
org.eclipse.birt.report.model.api.scripts.ClassInfo

All Implemented Interfaces:
  `IClassInfo`, `ILocalizableInfo`

public class ClassInfo extends Object implements IClassInfo
Represents the script object definition. This definition defines one constructor, several members and methods. It also includes the name, display name ID, and tool tip ID.

## Constructor Summary

Constructors
Constructor
Description
`ClassInfo(Class clazz)`

## Method Summary

Modifier and Type
Method
Description
`protected IMethodInfo`
`createConstructorInfo(Constructor classMethod)`
`protected IMemberInfo`
`createMemberInfo(Field classField)`
`protected IMethodInfo`
`createMethodInfo(Method classMethod)`
`IMethodInfo`
`getConstructor()`
Returns the constructor definition.
`String`
`getDisplayName()`
Returns the display name if the resource key of display name is available.
`String`
`getDisplayNameKey()`
Returns the resource key for display name.
`IMemberInfo`
`getMember(String name)`
Returns the member definition given method name.
`List`
`getMembers()`
Returns the list of member definitions.
`IMethodInfo`
`getMethod(String name)`
Get the method definition given the method name.
`List`
`getMethods()`
Returns the method definition list.
`String`
`getName()`
Returns the definition name.
`String`
`getToolTip()`
Returns the tool tip if the resource key of tool tip is available.
`String`
`getToolTipKey()`
Returns the resource key for tool tip.
`boolean`
`isNative()`
Returns whether a class object is native.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassInfo

public ClassInfo(Class clazz)

Parameters:
  `clazz` -

## Method Details

### createMemberInfo

protected IMemberInfo createMemberInfo(Field classField)

Parameters:
  `classField` -
Returns:

### createConstructorInfo

protected IMethodInfo createConstructorInfo(Constructor classMethod)

Parameters:
  `classMethod` -
Returns:

### createMethodInfo

protected IMethodInfo createMethodInfo(Method classMethod)

Parameters:
  `classMethod` -
Returns:

### getMethods

public List getMethods()
Returns the method definition list. For methods that have the same name, only return one method.

Specified by:
  `getMethods` in interface `IClassInfo`
Returns:
  a list of method definitions

### getMethod

public IMethodInfo getMethod(String name)
Get the method definition given the method name.

Specified by:
  `getMethod` in interface `IClassInfo`
Parameters:
  `name` - the name of the method to get
Returns:
  the definition of the method to get

### getMembers

public List getMembers()
Returns the list of member definitions.

Specified by:
  `getMembers` in interface `IClassInfo`
Returns:
  the list of member definitions

### getMember

public IMemberInfo getMember(String name)
Returns the member definition given method name.

Specified by:
  `getMember` in interface `IClassInfo`
Parameters:
  `name` - name of the member to get
Returns:
  the member definition to get

### getConstructor

public IMethodInfo getConstructor()
Returns the constructor definition.

Specified by:
  `getConstructor` in interface `IClassInfo`
Returns:
  the constructor definition

### isNative

public boolean isNative()
Returns whether a class object is native.

Specified by:
  `isNative` in interface `IClassInfo`
Returns:
  `true` if an object of this class is native, otherwise `false`

### getDisplayNameKey

public String getDisplayNameKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for display name.

Specified by:
  `getDisplayNameKey` in interface `ILocalizableInfo`
Returns:
  the resource key for display name

### getName

public String getName()
Description copied from interface: `ILocalizableInfo`
Returns the definition name.

Specified by:
  `getName` in interface `ILocalizableInfo`
Returns:
  the name of this definition

### getToolTipKey

public String getToolTipKey()
Description copied from interface: `ILocalizableInfo`
Returns the resource key for tool tip.

Specified by:
  `getToolTipKey` in interface `ILocalizableInfo`
Returns:
  the resource key for tool tip

### getDisplayName

public String getDisplayName()
Description copied from interface: `ILocalizableInfo`
Returns the display name if the resource key of display name is available. Otherwise, return empty string.

Specified by:
  `getDisplayName` in interface `ILocalizableInfo`
Returns:
  the display name

### getToolTip

public String getToolTip()
Description copied from interface: `ILocalizableInfo`
Returns the tool tip if the resource key of tool tip is available. Otherwise, return empty string.

Specified by:
  `getToolTip` in interface `ILocalizableInfo`
Returns:
  the tool tip